> For the complete documentation index, see [llms.txt](https://docs.bancor.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bancor.network/developer-guides/read-functions/withdrawals/withdrawalamounts.md).

# withdrawalAmounts()

### Function withdrawalAmounts()

{% code title="BancorNetworkInfo.sol" %}

```javascript
function withdrawalAmounts(Token pool, uint256 poolTokenAmount) external view        validAddress(address(pool))
        greaterThanZero(poolTokenAmount)
        returns (WithdrawalAmounts memory)
```

{% endcode %}

This function returns details about a potential withdrawal, including the number of tokens that would be received, and the number of BNT tokens the user would receive in an instance in which impermanent loss is being covered in part by BNT tokens.&#x20;

### Function Arguments

| Name            | Type    | Description                                                                                                           |
| --------------- | ------- | --------------------------------------------------------------------------------------------------------------------- |
| pool            | Token   | <p>The contract address of a token.<br><br>For example, Link: <em>0x514910771AF9Ca656af840dff83E8264EcF986CA</em></p> |
| poolTokenAmount | uint256 | The number of pool tokens for which to check the results of a withdrawal.                                             |

### Return Variables

This function returns the results of the potential withdrawal.

<table><thead><tr><th>Variable Type</th><th>Returns</th></tr></thead><tbody><tr><td>list</td><td><p>The return values include the number of expected tokens, the amount returned in the original token, and the amount returned in BNT. <br></p><p><br>Example response:</p><pre><code>    tuple :  9975,9975,0
</code></pre></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bancor.network/developer-guides/read-functions/withdrawals/withdrawalamounts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
